Package lcm.lcm

# Interface LCMSubscriber

All Known Implementing Classes:
  `MessageAggregator`

public interface LCMSubscriber
A class which listens for messages on a particular channel.

## Method Summary

Modifier and Type
Method
Description
`void`
`messageReceived(LCM lcm, String channel, lcm.lcm.LCMDataInputStream ins)`
Invoked by LCM when a message is received.

## Method Details

### messageReceived

void messageReceived(LCM lcm, String channel, lcm.lcm.LCMDataInputStream ins)
Invoked by LCM when a message is received. This method is invoked from the LCM thread.

Parameters:
  `lcm` - the LCM instance that received the message.
  `channel` - the channel on which the message was received.
  `ins` - the message contents.